summarylogtreecommitdiffstats
path: root/paraFoam.patch
diff options
context:
space:
mode:
Diffstat (limited to 'paraFoam.patch')
-rw-r--r--paraFoam.patch11
1 files changed, 7 insertions, 4 deletions
diff --git a/paraFoam.patch b/paraFoam.patch
index 946a90daaec3..f02a4e3fc504 100644
--- a/paraFoam.patch
+++ b/paraFoam.patch
@@ -1,10 +1,10 @@
--- src/OpenFOAM-2.4.x/bin/paraFoam
+++ src/OpenFOAM-2.4.x/bin/paraFoam
-@@ -124,21 +124,23 @@
+@@ -124,21 +124,26 @@ done
# Get the ParaView major version to select the appropriate readers
version=`echo $ParaView_VERSION | sed -e 's/^\([0-9][0-9]*\).*$/\1/'`
--# check that reader module has been built
+-# Check that reader module has been built
-if [ $requirePV -eq 1 -a ! -f $PV_PLUGIN_PATH/libPV${version}FoamReader_SM.so ]
-then
- cat<< BUILDREADER
@@ -14,6 +14,9 @@
+#if [ $requirePV -eq 1 -a ! -f $PV_PLUGIN_PATH/libPV3FoamReader_SM.so ]
+#then
+# cat<< BUILDREADER
++#if [ $requirePV -eq 1 -a ! -f $PV_PLUGIN_PATH/libPV${version}FoamReader_SM.so ]
++#then
++# cat<< BUILDREADER
-FATAL ERROR: ParaView reader module libraries do not exist
+#FATAL ERROR: ParaView reader module libraries do not exist
@@ -23,7 +26,7 @@
-./Allwclean
-./Allwmake
+#Please build the reader module before continuing:
-+#cd \$FOAM_UTILITIES/postProcessing/graphics/PV3Readers
++#cd \$FOAM_UTILITIES/postProcessing/graphics/PV${version}Readers
+#./Allwclean
+#./Allwmake
@@ -34,5 +37,5 @@
+# exit 1
+#fi
- # check for --data=... argument
+ # Check for --data=... argument
hasDataArg()